Subject: Re: bug#37953: tramp: a local bash does not start
From: Michael Albinus <[email-masked]>
To: Koichi Arakawa <[email-masked]>
Cc: [email-masked]
Date: Mon, 28 Oct 2019 09:55:44 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 27.1

Koichi Arakawa <[email-masked]> writes:

> Hi

Hi,

> I'm using Emacs in the MSYS2 environment. And the local shell bash
> depends on the order of its command-line switches.
>
> When the last argument is "-i", bash starts normally.
>
>     >C:/msys64/usr/bin/bash -norc -noprofile -i
>     bash-4.4$
>
> But in another case, it ends with an error.
>
>     >C:/msys64/usr/bin/bash -i -norc -noprofile
>     /usr/bin/bash: line 0: /usr/bin/bash: -noprofile: invalid option name
>
> So I think we need the following patch to fix that.

Thanks for the report, the same error happens on GNU/Linux. So I have
applied your patch to the repositories. Closing the bug.

> Best regards,
> Koichi Arakawa

Best regards, Michael.